#1-----------------------------------------
ifname<-"Caret_results_logAvPE.csv"
dataAll <- read.delim(ifname, row.names=1, header=T,sep=",",as.is=TRUE,strip.white=FALSE)
names(dataAll)
#2-----------------------------------------
sortlist <- order(dataAll[,2])
dataAll <- dataAll[sortlist,]
groupList<-unique(dataAll[,2])
ngroup<-length(groupList)
#3-----------------------------------------
datalistA<-tapply(dataAll[,3],dataAll[,2],list)
#4------boxplot ---------------------------
par(mar=c(4,5,5,6))
boxplot(datalistA,names=groupList,horizontal=T,las=1,ylim=c(-5,10))
